<script setup>
import { computed } from "vue";

const props = defineProps({
  timeslots: Array,
  places: Array
})

const timeslots = computed(() => props.timeslots)
const places = computed(() => props.places)
</script>

<template>
    <br>
    <h1>Timetable</h1>
    <ul>
      <li v-for="timeslot in timeslots" :key="timeslot.id">
        {{ timeslot.startDateDTO }} - {{ timeslot.endDateDTO }}
      </li>
    </ul>
    <h1>Location</h1>
    <ul>
      <li v-for="place in places" :key="place.id">
        {{ place.placeIdDTO }}
        {{ place.roomDTO }}
        {{ place.roomTypeDTO }}
        {{ place.buildingDTO }}
      </li>
    </ul>
</template>

<style scoped>

</style>